import * as endConf from 'amos-processor/lib/config/endconf';

const completePrefix = endConf.completePrefix;
const secExVerson = 'v1';
const baseURI = endConf.baseURI;
const securityBaseURI = endConf.securityBaseURI;
const AmosConfig = endConf.AmosConfig;

export const secBaseUrl = {
  // 新权限接口
  systemMenusUrl: completePrefix(securityBaseURI, `privilege/${secExVerson}/permission/tree/me`), // 获取当前系统所有菜单
  currentUserUrl: completePrefix(securityBaseURI, `privilege/${secExVerson}/agencyuser/me`), // 获取当前登陆用户信息
  permissionsCompanyUrl: completePrefix(securityBaseURI, `privilege/${secExVerson}/agencyuser/me`), // 登陆用户权限所有公司
  permissionsMenusUrl: completePrefix(securityBaseURI, `privilege/${secExVerson}/permission/tree/role?roleSeq={roleSeq}`), // 登陆用户系统权限菜单
  dictionaryValueUrl: completePrefix(securityBaseURI, `systemctl/${secExVerson}/dictionary/{dictCode}/values`), //字典接口
  loginUrl: completePrefix(securityBaseURI, `${secExVerson}/system/login`), // 登陆获取accessToken
  loginOutUrl: completePrefix(securityBaseURI, `${secExVerson}/system/loginOutr`) // 登陆用户系统权限菜单
};

export const OltSerUrl = {

};
export const loginURI = endConf.loginURI;
export const sysName = AmosConfig.sysConf.name;
export const _mapCenter = AmosConfig.mapCenter;
export const _picURI = AmosConfig.httpURI.picURI;
export const outMap = AmosConfig.sysConf.outMap;
export default OltSerUrl;
